%define upstream_name    File-Slurp-Tiny
%define upstream_version 0.004

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    A simple, sane and efficient file slurper
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter) >= 5.570.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(FileHandle)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module provides functions for fast and correct slurping and spewing.
All functions are optionally exported.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.4.0-7.mga10
+ Revision: 2198747
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.4.0-6.mga9
+ Revision: 1803736
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.4.0-5.mga8
+ Revision: 1494584
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.4.0-4.mga7
+ Revision: 1268170
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.4.0-3.mga6
+ Revision: 1027612
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.4.0-2.mga6
+ Revision: 968752
- Mageia 6 Mass Rebuild

* Fri Jul 17 2015 shlomif <shlomif> 0.4.0-1.mga6
+ Revision: 854905
- update to 0.004

* Wed Oct 15 2014 umeabot <umeabot> 0.3.0-3.mga5
+ Revision: 743574
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.0-2.mga5
+ Revision: 684770
- Mageia 5 Mass Rebuild

* Mon Feb 24 2014 jquelin <jquelin> 0.3.0-1.mga5
+ Revision: 596473
- imported package perl-File-Slurp-Tiny


* Mon Feb 24 2014 cpan2dist 0.003-1mga
- initial mageia release, generated with cpan2dist
